Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.search.filter
Class CachingWrapperFilter

    java.lang.Object
      org.apache.lucene.search.Filter
          org.hibernate.search.filter.CachingWrapperFilter

All Implemented Interfaces:
  java.io.Serializable

    public class CachingWrapperFilter

extends org.apache.lucene.search.Filter

A slightly different version of Lucene's original `CachingWrapperFilter` which uses `SoftReferences` instead of `WeakReferences` in order to cache the filter `BitSet`.

Author:
  Hardy Ferentschik
See Also:
  `CachingWrapperFilter`, HSEARCH-174, Serialized Form

Field Summary
`static int` | `DEFAULT_SIZE`

Constructor Summary
`CachingWrapperFilter(org.apache.lucene.search.Filter filter)`
`CachingWrapperFilter(org.apache.lucene.search.Filter filter, int size)`

Method Summary
`boolean` | `equals(java.lang.Object o)`
`org.apache.lucene.search.DocIdSet` | `getDocIdSet(org.apache.lucene.index.IndexReader reader)`
`int` | `hashCode()`
`java.lang.String` | `toString()`

Methods inherited from class org.apache.lucene.search.Filter
`bits`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DEFAULT_SIZE

    public static final int DEFAULT_SIZE

See Also:
  Constant Field Values

Constructor Detail

### CachingWrapperFilter

    public CachingWrapperFilter(org.apache.lucene.search.Filter filter)

Parameters:
  `filter` - Filter to cache results of

### CachingWrapperFilter

    public CachingWrapperFilter(org.apache.lucene.search.Filter filter,
                                int size)

Parameters:
  `filter` - Filter to cache results of

Method Detail

### getDocIdSet

    public org.apache.lucene.search.DocIdSet getDocIdSet(org.apache.lucene.index.IndexReader reader)
                                                  throws java.io.IOException

  Overrides:
    `getDocIdSet` in class `org.apache.lucene.search.Filter`
  Throws:
    `java.io.IOException`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Hibernate. All Rights Reserved.